org.apache.datasketches.pig.quantiles

## Class DataToStringsSketch.DataToStringsSketchIntermediateFinal

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.quantiles.DataToItemsSketch.DataToItemsSketchIntermediateFinal<String>
    - - org.apache.datasketches.pig.quantiles.DataToStringsSketch.DataToStringsSketchIntermediateFinal

Enclosing class:
  DataToStringsSketch

    public static class DataToStringsSketch.DataToStringsSketchIntermediateFinal
    extends DataToItemsSketch.DataToItemsSketchIntermediateFinal<String>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`DataToStringsSketchIntermediateFinal()`
`DataToStringsSketchIntermediateFinal(String kStr)`

### Method Summary

### Methods inherited from class org.apache.datasketches.pig.quantiles.DataToItemsSketch.DataToItemsSketchIntermediateFinal

`exec, extractValue`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataToStringsSketchIntermediateFinal

    public DataToStringsSketchIntermediateFinal()

#### DataToStringsSketchIntermediateFinal

    public DataToStringsSketchIntermediateFinal(String kStr)